madkit.message

## Class KQMLMessage

- java.lang.Object
- - madkit.kernel.Message
  - - madkit.message.ActMessage
    - - madkit.message.KQMLMessage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class KQMLMessage
      extends ActMessage

  This class describes a KQML message. It provides accessors for all reserved fields defined in the KQML Specification. Note that the :receiver and :sender are automatically mapped to the MaDKit AgentAddress.
  Version:
    MaDKit 1.0
  Author:
    Olivier Gutknecht
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class madkit.message.ActMessage

      `action, fields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KQMLMessage(java.lang.String performative)` Constructor for KQMLMessage class

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getForce()`
    `java.lang.String` | `getInReplyTo()`
    `java.lang.String` | `getLanguage()`
    `java.lang.String` | `getOntology()`
    `java.lang.String` | `getPerformative()`
    `java.lang.String` | `getReplyWith()`
    `void` | `setForce(java.lang.String s)`
    `void` | `setInReplyTo(java.lang.String s)`
    `void` | `setLanguage(java.lang.String s)`
    `void` | `setOntology(java.lang.String s)`
    `void` | `setReplyWith(java.lang.String s)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class madkit.message.ActMessage

      `getAction, getContent, getFieldValue, getKeys, getObject, setContent, setField, setObject`

    - ### Methods inherited from class madkit.kernel.Message

      `clone, getConversationID, getReceiver, getSender`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KQMLMessage

          public KQMLMessage(java.lang.String performative)

      Constructor for KQMLMessage class

  - ### Method Detail

    - #### getPerformative

          public java.lang.String getPerformative()

    - #### getForce

          public java.lang.String getForce()

    - #### setForce

          public void setForce(java.lang.String s)

    - #### getReplyWith

          public java.lang.String getReplyWith()

    - #### setReplyWith

          public void setReplyWith(java.lang.String s)

    - #### getInReplyTo

          public java.lang.String getInReplyTo()

      Overrides:
        `getInReplyTo` in class `ActMessage`

    - #### setInReplyTo

          public void setInReplyTo(java.lang.String s)

      Overrides:
        `setInReplyTo` in class `ActMessage`

    - #### getLanguage

          public java.lang.String getLanguage()

    - #### setLanguage

          public void setLanguage(java.lang.String s)

    - #### getOntology

          public java.lang.String getOntology()

    - #### setOntology

          public void setOntology(java.lang.String s)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Message`

Fabien Michel, Olivier Gutknecht, Jacques Ferber - September 9 2019